# DistributionIterator (ARX Developer Documentation)

org.deidentifier.arx.framework.check.distribution

## Class DistributionIterator<T>

- java.lang.Object
- - org.deidentifier.arx.framework.check.distribution.DistributionIterator<T>

- All Implemented Interfaces:
    java.util.Iterator<T>

      public abstract class DistributionIterator<T>
      extends java.lang.Object
      implements java.util.Iterator<T>

  An iterator over values of a distribution

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `T` | `next()`
    `protected abstract T` | `parse(java.lang.String value)` Parses the given value
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`

    - #### parse

          protected abstract T parse(java.lang.String value)

      Parses the given value
      Parameters:
        `value` -
      Returns: